import os
import popen2
import re
from compilutils import hexify_version

def python(execname, min_version):
    prog = "import sys; sys.exit(sys.hexversion < %s)" % min_version
    return not os.system("%s -c \"%s\"" % (execname, prog))

def java(execname, min_version):
    if os.name == 'java':
        print "could not test under jython",
        return 1
    d, d, error = popen2.popen3("%s -version" % execname)
    error_str = error.read()
    version_re = re.search("([0-9]+\.[0-9]+\.?[0-9]*\.?[0-9]*)", error_str)
    version = hexify_version(version_re.group(1))
    return version >= min_version

def javac(execname, min_version):
    # FIXME: implement it
    pass

def dummy_true(execname, min_version):
    return 1

def dummy_false(execname, min_version):
    return 0
